Generated by JsDoc Toolkit 2.4.0 on Sat Jun 04 2011 10:11:54 GMT+0100 (BST)
HTML template: Codeview

# Namespace ColVis#s

Settings object which contains customisable information for ColVis instance
Defined in: ColVis.js.

Namespace Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| ColVis#s

Field Summary
Field Attributes | Field Name and Description
--- | ---
<static> | ColVis#s.abOriginal Store the original viisbility settings so they could be restored
<static> | ColVis#s.activate Mode of activation.
<static> | ColVis#s.aiExclude List of columns (integers) which should be excluded from the list
<static> | ColVis#s.bRestore Show restore button
<static> | ColVis#s.buttonText Text used for the button
<static> | ColVis#s.dt DataTables settings object
<static> | ColVis#s.fnStateChange Callback function to tell the user when the state has changed
<static> | ColVis#s.hidden Flag to say if the collection is hidden
<static> | ColVis#s.oInit Customisation object
<static> | ColVis#s.sAlign Position of the collection menu when shown - align "left" or "right"
<static> | ColVis#s.sRestore Restore button text

Namespace Detail
ColVis#s
Field Detail
<static> {Array} ColVis#s.abOriginal
Store the original viisbility settings so they could be restored

Default Value:
  []

<static> {String} ColVis#s.activate
Mode of activation. Can be 'click' or 'mouseover'

Default Value:
  click

<static> {Array} ColVis#s.aiExclude
List of columns (integers) which should be excluded from the list

Default Value:
  []

<static> {Array} ColVis#s.bRestore
Show restore button

Default Value:
  []

<static> {String} ColVis#s.buttonText
Text used for the button

Default Value:
  Show / hide columns

<static> {Object} ColVis#s.dt
DataTables settings object

Default Value:
  null

<static> {function} ColVis#s.fnStateChange
Callback function to tell the user when the state has changed

Default Value:
  null

<static> {boolean} ColVis#s.hidden
Flag to say if the collection is hidden

Default Value:
  true

<static> {Object} ColVis#s.oInit
Customisation object

Default Value:
  passed in

<static> {String} ColVis#s.sAlign
Position of the collection menu when shown - align "left" or "right"

Default Value:
  right

<static> {String} ColVis#s.sRestore
Restore button text

Default Value:
  Restore original